# TdApi.StorageStatisticsByChat (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: StorageStatisticsByChat

Package it.tdlight.jni

# Class TdApi.StorageStatisticsByChat

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.StorageStatisticsByChat

Enclosing class:
  TdApi

    public static class TdApi.StorageStatisticsByChat
    extends TdApi.Object

Contains the storage usage statistics for a specific chat.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`TdApi.StorageStatisticsByFileType[]` | `byFileType` | Statistics split by file types.
`long` | `chatId` | Chat identifier; 0 if none.
`static int` | `CONSTRUCTOR` |
`int` | `count` | Total number of files in the chat.
`long` | `size` | Total size of the files in the chat, in bytes.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`StorageStatisticsByChat()` | Contains the storage usage statistics for a specific chat.
`StorageStatisticsByChat​(long chatId, long size, int count, TdApi.StorageStatisticsByFileType[] byFileType)` | Contains the storage usage statistics for a specific chat.
`StorageStatisticsByChat​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier; 0 if none.

### size

public long size
Total size of the files in the chat, in bytes.

### count

public int count
Total number of files in the chat.

### byFileType

public TdApi.StorageStatisticsByFileType[] byFileType
Statistics split by file types.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### StorageStatisticsByChat

public StorageStatisticsByChat()
Contains the storage usage statistics for a specific chat.

### StorageStatisticsByChat

public StorageStatisticsByChat​(long chatId, long size, int count, TdApi.StorageStatisticsByFileType[] byFileType)
Contains the storage usage statistics for a specific chat.

Parameters:
  `chatId` - long Chat identifier; 0 if none.
  `size` - long Total size of the files in the chat, in bytes.
  `count` - int Total number of files in the chat.
  `byFileType` - StorageStatisticsByFileType[] Statistics split by file types.

### StorageStatisticsByChat

public StorageStatisticsByChat​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`